--[[
	/*
	 * MODULE
	 */
--]]

local utils       = {}
utils.api         = require('libmodal/src/utils/api')
utils.Help        = require('libmodal/src/utils/Help')
utils.WindowState = require('libmodal/src/utils/WindowState')

--[[
	/*
	 * FUNCTIONS
	 */
--]]

----------------------------------
--[[ SUMMARY:
	* Show an error from `pcall()`.
]]
--[[ PARAMS:
	`pcall_err` => the error generated by `pcall()`.
]]
----------------------------------
function utils.show_error(pcall_err)
	local api = vim.api

	utils.api.nvim_bell()

	utils.api.nvim_show_err(
		require('libmodal/src/globals').DEFAULT_ERROR_TITLE,
		api.nvim_get_vvar('throwpoint')
		.. '\n' ..
		api.nvim_get_vvar('exception')
		.. '\n' ..
		tostring(pcall_err)
	)
end

--[[
	/*
	 * PUBLICIZE MODULE
	 */
--]]

return utils
